@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.3/font/bootstrap-icons.min.css");

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}
main
{
    /*height: auto !important;
    overflow-y:auto !important;*/
}
a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 2px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.label {
    font-weight: bold !important;
    margin-bottom: 5px !important;
    padding-left:0.4rem;
}

.labeldata {
    font-weight: 300 !important;
    margin-bottom: 15px !important;
}

.commentbox {
    border: 1px solid #ccc;
    padding: 5px;
    margin: 5px 0px;
}
.sidebar {
  background-image:  linear-gradient(180deg, rgb(0 44 127) 0%, #013a81 70%) !important;
  /*width:300px !important;
  min-height:100% !important;*/
}
.nav-link {
    padding: 0px 5px !important;
    line-height:100% !important;
    height:100% !important;
    min-height:1.7rem !important;
    margin:0px 10px !important;
    width:auto !important;
}
.nav-item {
    font-size: 1em !important;
    padding-bottom: 0.3rem !important; 
    width: auto !important;
}
.nav-tabs .nav-link {
    color: white !important;
    line-height: 50px !important;
    background-color: black !important;
    margin: 0px !important;
    border-radius: 0px !important;
    padding: 0px 20px !important;
    border: 0px !important;
}


.commandbar {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-end;
    position: sticky;
    top: 0;
    z-index: 100;
    background-color: #f3f9fb;
}

    .commandbar a {
        cursor: pointer !important;
        color: black !important;
        text-decoration: none !important;
    }

    .commandbar > div > div {
        padding: 0px 10px;
        border-right: 2px solid var(--bs-border-color-translucent) !important
    }

.jumbotron {
    background-color: #e9ecef;
    border-radius: .3rem;
    margin-bottom: 2rem;
    min-height: 50px;
    padding: 20px;
}

.form-label {
    margin-top: 1rem;
}

.bisrequired:after {
    content: " *";
    color: red;
}

label {
    margin-top: 1rem;
    margin-bottom: 0.3rem;
}

.formpager {
    display: flex;
    justify-content: space-between;
    margin: 10px;
}

.formtable {
    width: 100%;
    border: 1px solid #ddd;
}

    .formtable tr {
        border: 1px !important;
    }

        .formtable tr td {
            border: 1px solid #ddd !important;
            padding: 10px 20px;
        }

h5 {
    margin: 15px 0px !important;
}

.tooltip-inner {
    max-width: 400px !important;
    text-align: left !important;
}

.tooltip.show {
    opacity: 1 !important;
    border: 1px solid #ccc;
}
.bi
{
    padding:0px 5px;
}


/*Dashboard styles start*/
/* Fix height and enable scrolling */
.grid {
    overflow-y: auto;
    position: relative;
    min-height: 400px;
}

    .grid table {
        min-width: 100%;
        min-height: 150px;
    }


.gridmessenger {
    position: absolute;
    top: 50px;
    left: auto;
    border: 1px solid;
    padding: 15px;
    margin: 0px auto;
    width: 100%;
    text-align: center;
}

.filterReset {
    border: 1px solid #ddd;
    min-width: 100px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    align-items: center;
    margin-right: 10px;
    padding: 10px;
    background-color: powderblue;
    margin-bottom: 10px;
}
/* Sticky header while scrolling */
thead {
    position: sticky;
    top: 0;
    z-index: 1;
}

.quickgrid[theme=corporate] {
    border: 1px solid #ddd;
    width: 100%;
}

    .quickgrid[theme=corporate] thead {
        background-color: #6baed7;
    }
        .quickgrid[theme=corporate] thead tr th{
            white-space:nowrap !important;
        }

        .quickgrid[theme=corporate] thead tr th:hover {
            background-color: #1e76ad;
        }

    .quickgrid[theme=corporate] tbody tr {
        line-height: 35px;
    }

        .quickgrid[theme=corporate] tbody tr:nth-child(even) {
            background-color: #b9d0de;
        }

    .quickgrid[theme=corporate] .col-header-content {
        height: 35px;
        padding-right:5px;
    }

    .quickgrid[theme=corporate] .col-title {
        gap: 0.4rem; /* Separate the sort indicator from title text */
        line-height: 35px;
        padding-left: 10px;
        margin-right: 10px;
    }

    .quickgrid[theme=corporate] .sort-indicator {
        color: white;
    }

    .quickgrid[theme=corporate] button.col-title:hover, .quickgrid[theme=corporate] .col-options-button:hover {
        /*background-color: #808080;*/
    }

    .quickgrid[theme=corporate] button.col-title:active, .quickgrid[theme=corporate] .col-options-button:active {
        background-color: #d0d0d0;
    }

    .quickgrid[theme=corporate] tbody tr td.col-justify-start {
        padding: 0px 10px !important;
        vertical-align:top !important;
    }

tbody td {
    white-space: nowrap;
}

.col-options-button {
    margin-left: 10px !important;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2"> <path stroke-linecap="round" stroke-linejoin="round" d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z" /> </svg>') !important;
}
/* Magnifying glass */
.country-name .col-options-button {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" class="h-6 w-6" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2"> <path stroke-linecap="round" stroke-linejoin="round" d="M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z" /> </svg>');
}
.col-title-text
{
    font-weight: normal !important;
}
.col-options .search-box {
    min-width: 150px !important;
}
/*Dashboard styles end*/

@media print {
    body {
        -webkit-print-color-adjust: exact;
        font-embedding: embed;
    }
}
.bb-ribbon-item-group {
    padding: 0px 15px;
}
.bb-ribbon-item-group > div:last-child {
    border-top: 1px solid #ddd;
    width: 100%;
    text-align: center;
    color: gray;
    white-space: nowrap;
    display: inline-block;
}


.itanavmenu svg {
    max-width: 16px;
    max-height: 16px;
    margin-right: 8px;
}

.ita-menuitem {
    padding: 20px 20px;
    text-align: center;
    font-size: 14px;
    font-family: "PublicSans", sans-serif !important;
    line-height: 65px;
    white-space: nowrap;
    cursor: pointer;
    display: inline;
}
    .ita-menuitem:hover {
        background-color: #f1f1f1;
        border-top: 2px solid #005ea5;
    }
    .ita-menuitem.active {
        background-color: #f1f1f1;
        border-top: 2px solid #005ea5;
    }
    .header-flag {
        background-color: #ffffff;
        padding: 0 16px;
        width: 100%;
        display: flex;
    }
    .ita-search{
        min-width:210px !important;
    }
@media screen and (max-width: 1496px) {
    .itanavmenu {
        display: inherit;
        padding-left : 0px !important;
    }
    .ita-searchmini{
        display:flex !important;
    }
    .ita-search {
        display: none !important;
    }
    .ita-navwrapper {
        flex-wrap: wrap;
    }
    .italink {
        line-height: 15px;
        white-space: nowrap;
        min-width: 250px;
    }

    .ita-menuitem {
        padding: 10px 10px;
        text-align: center;
        font-size: 14px;
        font-family: "PublicSans", sans-serif !important;
        line-height: 15px;
        white-space: nowrap;
        cursor: pointer;
        display: inline;
    }
    .submenuitem
    {

    }
    .itanavmenu svg {
        display: none;
    }
    .ita-footer-menu {
        width:100%;
    }
}
@media screen and (max-width: 768px) {
    .itanavmenu {
        display: none;
    }
    .ita-footer{
        display:none;
    }
}

@media screen and (min-width: 768px) {
    .header-flag {
       padding: 5px 40px;
    }
}

@media screen and (min-width: 1024px) {
    .header-flag {
        padding: 5px 40px;
    }
    .sidebar{
        min-height:550px !important;
    }
}

@media screen and (min-width: 1366px) {
    .header-flag {
        padding: 5px 40px;
    }
}

.header-flag .header-flag-img {
    margin-right: 10px;
    padding-top: 1px;
    padding-bottom: 1px;
}

    .header-flag .header-flag-img .header-flag-icon {
        width: 23px;
        height: 13px;
    }

.header-flag .official-text {
    padding-top: 5px;
    width: 70%;
    font-size: 0.75rem;
}

    .header-flag .official-text .us-gov-desc::after {
        display: inline-block;
        margin-left: 4px;
        background-size: 100%;
        width: 0.75rem;
        height: 0.75em;
        content: "";
    }

    .header-flag .official-text .open::after {
        background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAnElEQVR42u2SsQmAMBBF0zqAA7iEK5hlRASnSJdlBFFbB3ADt7DTnMTGwuYR0tyDD9e9V5xRFAUxTNWzLPSLDTvjbC75JQMRXA4iuBxGcDmP4PJdBiKgvB1LGYiA8giI4HIQweUggstxBJfzCC7nEVzOI7q5AXIWIe5wHEBOIw4JcEBOI9z7A/5HnirCfx5xrU2/FSY14hCXoiiRG6PyzBQ7pWb4AAAAAElFTkSuQmCC");
    }

    .header-flag .official-text .close::after {
        background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAnUlEQVR42u2Ouw2AMAwFaTMAA7AEK8A6rJGOfZiCDbIFXbARpgBBczKVn3RFPtJdE4vFrk1LL6QfPEld98tZqMIqtI7y9nRUddplFqphEc5yI+tD0YNrxFNuFH0chO0twlG+qds+jV8RLnJ12kAEloMILgcRXE4juJxHcDmP4HIeAeU8Asp5BJCjCC7nEVzOI7icRzA5j+gOYrEY2A6rHMz0TIafFgAAAABJRU5ErkJggg==");
    }
.italink{
    line-height:50px;
    white-space: nowrap;
    min-width:250px;
}
.italink a{
    color:black !important;
    text-decoration: none !important;
}
.italink a:hover {
    color: black !important;
    text-decoration: underline !important;
    cursor:pointer;
}
.submenuitem:hover {
    background-color: #fbc53d !important;
    color: black !important;
}
.ita-footer a
{
    color:#fff;
}
.ita-footer {
    padding: 50px 80px;
    background-color: #112e51;
    color: white;
    font-size: 14px;
}
.ita-footer-link {
    color: white;
    padding: 5px;
    display: block;
    text-decoration: none;
}
.ita-footer-link:hover {
    background-color: #2b8cc4;
    text-decoration:none;
}

.ita-footer-social-link {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #ffffff;
    border-radius: 4px;
    width: 50px;
    height: 50px;
}
.ita-footer-social-link:hover {
    background-color: #2b8cc4;
    text-decoration: none;
}
.ita-itatext {
    font-size: 16px;
    font-weight: bold;
    padding: 10px 0px;
}